<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15">
<TITLE>Upload de fichiers</TITLE>
</HEAD><BODY>
<H1>Upload de fichiers</H1>
<H2>Envoyez un fichier</H2>
<form action="upload.phtml" method="post" enctype="multipart/form-data">
	<input name="fichier" type="file"><p>
	<input type="submit">
</form>

<H2>Fichier uploadé</H2>
$error = <% $error %><P>
$attachement = <% $attachement %><P>
$filesize = <% $filesize %><P>
</BODY></HTML>


<%init>
    my ($error, $attachement, $filesize);

    ####################################################################
    # Enregistrement du fichier CV, s'il est joint : on récupère $attachement
    # du module CGI, qui est à la fois un scalaire (nom du fichier sur le
    # poste de travail de la personne qui upload : enregistré pour info
    # dans la base), et un filehandle, qui permet de faire des read. Ce
    # filehandle est automatiquement clos par CGI (lors de la destruction
    # de CGI ou à la fin du traitement de la requête... à voir)
    
    # CGI
    if (1) {
    	my $q = $m->cgi_object();
    	$error = $q->cgi_error();
    	$attachement = CGI::upload('fichier');
#    	$attachement = $q->upload('fichier');
#    	$attachement = '/tmp/_export/ami/Chirurgie/20060802_3.xml';
    	$filesize = (stat($attachement))[7];

    # mod_perl
    } else {
    	my $upload = $r->upload('fichier');
    	$attachement = $upload->filename();
#    	$attachement = '/tmp/_export/ami/Chirurgie/20060802_3.xml';
    	$filesize = $upload->size();
    }
</%init>